/* mat form field Style Starts */
.mat-form-field{
    font-family: 'Quicksand-regular';
    font-size: 14px;
    line-height: 160%;
    color: #8D8D8D;
    display: block !important;
}
.mat-form-field input:focus {
   border: 0 none !important;
}
.mat-form-field .loading-wrap.inline {
    position: absolute;
    right: 0;
}
.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label {
    font-size: 16px;
	  top: 22px !important;
}
.mat-form-field-disabled .mat-form-field-underline,
.disabled .mat-form-field-underline {
    background-position: 0;
    background-color: #949494 !important;
    background-image: none !important;
}
.mat-form-field-appearance-legacy .mat-form-field-underline{
    border: 0.51px solid #CDCDCD;
}
::ng-deep .mat-form-field-placeholder{
    font-size: 14px!important;
    color: red!important;
}
.year-month-field .mat-form-field-appearance-legacy .mat-form-field-infix{
    padding-top: 0;
    padding-bottom: 0;
}
/* mat form field Style ends */

.material-icons {
    font-weight: normal;
    font-style: normal;
    font-size: 24px;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    white-space: nowrap;
    word-wrap: normal;
    direction: ltr;
    -webkit-font-smoothing: antialiased;
    text-rendering: optimizeLegibility;
    -moz-osx-font-smoothing: grayscale;
    font-feature-settings: "liga";
    cursor: pointer;
}
/* mat form input Style Starts */
.mat-form-field.mat-form-field-invalid .mat-form-field-label{
    color: rgba(0, 0, 0, 0.54);
}
.mat-form-field.mat-focused .mat-form-field-ripple, .mat-form-field.mat-form-field-invalid .mat-form-field-ripple{
    background-color: #F37436;
}
.mat-form-field-prefix{
    color: #F37436;
}
 .mat-form-field-suffix{
    bottom: -8px;
 }
.mat-input-element{
    color:  #000000 !important;
     font-family: Quicksand !important;
}
/* mat form input Style ends */

/* mat button  style starts */
.mat-button{
    font-family: 'Quicksand-bold';
    color: #FFFFFF;
    background: #F37436;
    border-radius: 4px;
    text-align: center;
    font-size: 16px;
    text-transform: uppercase;
    height: 47px;
    margin: 0 5px !important;
}
.mat-button.mat-primary[disabled], .mat-button.mat-accent[disabled], .mat-button.mat-warn[disabled], .mat-button[disabled][disabled], .mat-icon-button.mat-primary[disabled], .mat-icon-button.mat-accent[disabled], .mat-icon-button.mat-warn[disabled], .mat-icon-button[disabled][disabled], .mat-stroked-button.mat-primary[disabled], .mat-stroked-button.mat-accent[disabled], .mat-stroked-button.mat-warn[disabled], .mat-stroked-button[disabled][disabled], .mat-chip[disabled][disabled]{
    background-color: rgba(0, 0, 0, 0.26);
    color: #FFFFFF;
}
.mat-button.disabled, a.disabled{
    opacity: 0.5;
    pointer-events: none;
}
/* mat button  style ends */

/* matchip style */
.mat-chip.mat-standard-chip.mat-chip-selected.mat-primary{
    background-color: #F37436 !important;
    color: #fff!important;
}
.mat-chip.mat-standard-chip{
    padding: 0;
    cursor: pointer;
    background: #FFFFFF;
    box-shadow: 0px 0px 9px rgba(205, 205, 205, 0.4), 0px 0px 12px rgba(205, 205, 205, 0.4), 0px 0px 12px rgba(205, 205, 205, 0.4);
    border-radius: 4px;
}
.loan-types .mat-chip {
    display: inline-block;
    width: 93px;
    height: 142px;
    text-align: center;
    padding: 4px;
    margin: 15px 8px !important;
}
.loan-types .mat-chip-list-wrapper{
    justify-content: center;
}
.radio-wrap .mat-chip{
    font-family: 'Quicksand-bold';
    padding: 8px 12px;
    font-size: 16px;
    color: #F37436;
    text-transform: uppercase;
}
/* mat-chip style end */

/* Slider style Starts */
.mat-slider-horizontal{
    height: 38px!important;
    width: 80%;
}
.mat-slider-min-value:not(.mat-slider-thumb-label-showing) .mat-slider-thumb {
    border-color: rgba(0, 0, 0, 0);
}
.mat-slider-min-value:not(.mat-slider-thumb-label-showing):hover .mat-slider-thumb{
    border-color: rgba(0, 0, 0, 0);
}
.slider-col{
    text-align: center;
}
.mat-accent .mat-slider-track-fill, .mat-accent .mat-slider-thumb, .mat-accent .mat-slider-thumb-label{
    color: #8D8D8D;
    background-color: #F37436 !important;
}
.custom-spinner .mat-progress-spinner svg {
    box-shadow: inset 0px 0px 0px 2px #cdcdcd;
    border-radius: 50%;
}
.mat-progress-spinner.mat-warn circle, .mat-spinner.mat-warn circle {
    stroke: #F37436 !important;
}
.mat-progress-bar-buffer{
  background-color: #FFF2F0;
}
.mat-progress-bar{
  display: inline-block !important;
  width: 80% !important;
  height: 6px !important;
  border-radius: 10px;
}
.mat-progress-bar.mat-primary .mat-progress-bar-fill::after{
  background-color: #F37436;
}
/* Slider style Ends */

/* check box style starts */
.mat-checkbox-checkmark-path {
    stroke: #F37436 !important;
}
.mat-checkbox-indeterminate.mat-accent .mat-checkbox-background, .mat-checkbox-checked.mat-accent .mat-checkbox-background{
    background-color: #fff!important;
    border: 1px solid #F37436!important;
}
.mat-checkbox-frame{
    border-width: 1px!important;
}
.mat-checkbox-layout {
    cursor: inherit;
    white-space: pre-line !important;
    display:block;
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
    color:#8D8D8D;
}
.mat-checkbox .mat-checkbox-frame {
  border-color: #F36F21;
}
.mat-checkbox-checked .mat-checkbox-background {
    background-color: #F36F21  !important;
    border: 2px solid #F36F21 !important;
}
/* check box style ends */

/* select box style starts*/
.mat-select-arrow{
    content: '';
    background: transparent url('../images/select_arrow.svg') center center no-repeat;
    width: 10px !important;
    height: 15px !important;
    border: 0 none !important;
    margin: 0 !important;
    margin-right: 10px !important;
}
.year-month-field .mat-select-value{
    text-align: center;
}
.mat-select-value-text {
   color: #000000 !important;
   font-family: Quicksand;
}
.mat-select-panel {
  border-radius: 4px;
  margin-left: 15px;
  margin-top: 6px;
  min-width:100% !important;
  max-width:100% !important;
}
.mat-select-panel.ng-animating {
  display: none;
}
.mat-select-panel .mat-option {
  border-bottom: 0.5px solid #CDCDCD !important;
  margin: 0 8px !important;
}
/* select box style end*/

.mat-error{
    font-size: 100%;
}
.mat-dialog-container{
    position: relative;
}